org.eclipse.rdf4j.sail.shacl.AST

## Class TargetClass

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.AST.NodeShape
  - - org.eclipse.rdf4j.sail.shacl.AST.TargetClass

- All Implemented Interfaces:
    PlanGenerator, QueryGenerator, RequiresEvalutation

      public class TargetClass
      extends NodeShape

  sh:targetClass
  Author:
    Heshan Jayasinghe

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.sail.shacl.AST.NodeShape

      `NodeShape.Factory`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlanNode` | `getPlan(ShaclSailConnection shaclSailConnection, NodeShape nodeShape, boolean printPlans, PlanNode overrideTargetNode)`
    `PlanNode` | `getPlanAddedStatements(ShaclSailConnection shaclSailConnection, NodeShape nodeShape)`
    `PlanNode` | `getPlanRemovedStatements(ShaclSailConnection shaclSailConnection, NodeShape nodeShape)`
    `String` | `getQuery(String subjectVariable, String objectVariable, RdfsSubClassOfReasoner rdfsSubClassOfReasoner)`
    `PlanNode` | `getTargetFilter(NotifyingSailConnection shaclSailConnection, PlanNode parent)`
    `boolean` | `requiresEvaluation(SailConnection addedStatements, SailConnection removedStatements)`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.AST.NodeShape

      `generatePlans, getId, getPaths, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPlan

          public PlanNode getPlan(ShaclSailConnection shaclSailConnection,
                                  NodeShape nodeShape,
                                  boolean printPlans,
                                  PlanNode overrideTargetNode)

      Specified by:
        `getPlan` in interface `PlanGenerator`
      Overrides:
        `getPlan` in class `NodeShape`

    - #### getPlanAddedStatements

          public PlanNode getPlanAddedStatements(ShaclSailConnection shaclSailConnection,
                                                 NodeShape nodeShape)

      Specified by:
        `getPlanAddedStatements` in interface `PlanGenerator`
      Overrides:
        `getPlanAddedStatements` in class `NodeShape`

    - #### getPlanRemovedStatements

          public PlanNode getPlanRemovedStatements(ShaclSailConnection shaclSailConnection,
                                                   NodeShape nodeShape)

      Specified by:
        `getPlanRemovedStatements` in interface `PlanGenerator`
      Overrides:
        `getPlanRemovedStatements` in class `NodeShape`

    - #### requiresEvaluation

          public boolean requiresEvaluation(SailConnection addedStatements,
                                            SailConnection removedStatements)

      Specified by:
        `requiresEvaluation` in interface `RequiresEvalutation`
      Overrides:
        `requiresEvaluation` in class `NodeShape`

    - #### getQuery

          public String getQuery(String subjectVariable,
                                 String objectVariable,
                                 RdfsSubClassOfReasoner rdfsSubClassOfReasoner)

      Specified by:
        `getQuery` in interface `QueryGenerator`
      Overrides:
        `getQuery` in class `NodeShape`

    - #### getTargetFilter

          public PlanNode getTargetFilter(NotifyingSailConnection shaclSailConnection,
                                          PlanNode parent)

      Overrides:
        `getTargetFilter` in class `NodeShape`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.